using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;

namespace Takmicenje
{
    internal class Program
    {
        public static void Main()
        {
            int prvibroj = int.Parse(Console.ReadLine());
            int drugibroj = int.Parse(Console.ReadLine());

            var x = GetIntArray(prvibroj);
            var y = GetIntArray(drugibroj);
            var lista = new List<int>();
            if (x.Length > y.Length)
            {
                var z = new int[x.Length];
                for (int i = 0; i < x.Length; i++)
                {
                    if (x[i] > y[i])
                    {
                        z[i] = x[i];
                    }
                    else
                    {
                        z[i] = y[i];
                    }
                }
                lista = z.ToList();

            }
            else if (x.Length <= y.Length)
            {
                var z = new int[y.Length];
                for (int i = 0; i < x.Length; i++)
                {
                    if (x[i] > y[i])
                    {
                        z[i] = x[i];
                    }
                    else
                    {
                        z[i] = y[i];
                    }
                }
                lista = z.ToList();
            }
            foreach (var ispis in lista)
            {
                Console.Write(ispis);
            }
        }
        private static int[] GetIntArray(int broj)
        {
            List<int> posebno = new List<int>();
            while (broj > 0)
            {
                posebno.Add(broj % 10);
                broj = broj / 10;
            }
            posebno.Reverse();
            return posebno.ToArray();
        }
    }
}